Skip to content
Start here

Abuse Report Details

abuse_reports.get(strreport_param, AbuseReportGetParams**kwargs) -> AbuseReportGetResponse
GET/accounts/{account_id}/abuse-reports/{report_param}

Retrieve the details of an abuse report.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
account_id: str
maxLength32
report_param: str
ReturnsExpand Collapse
class AbuseReportGetResponse:
id: str

Public facing ID of abuse report, aka abuse_rand.

cdate: str

Creation date of report. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

domain: str

Domain that relates to the report.

mitigation_summary: MitigationSummary

A summary of the mitigations related to this report.

accepted_url_count: int

How many of the reported URLs were confirmed as abusive.

active_count: int

How many mitigations are active.

external_host_notified: bool

Whether the report has been forwarded to an external hosting provider.

in_review_count: int

How many mitigations are under review.

pending_count: int

How many mitigations are pending their effective date.

status: Literal["accepted", "in_review"]

An enum value that represents the status of an abuse record

One of the following:
"accepted"
"in_review"
type: Literal["PHISH", "GEN", "THREAT", 6 more]

The abuse report type

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
justification: Optional[str]

Justification for the report.

original_work: Optional[str]

Original work / Targeted brand in the alleged abuse.

submitter: Optional[Submitter]

Information about the submitter of the report.

company: Optional[str]
email: Optional[str]
name: Optional[str]
telephone: Optional[str]
urls: Optional[List[str]]

Abuse Report Details

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
abuse_report = client.abuse_reports.get(
    report_param="report_param",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(abuse_report.id)
{
  "result": {
    "id": "id",
    "cdate": "2009-11-10T23:00:00Z",
    "domain": "domain",
    "mitigation_summary": {
      "accepted_url_count": 0,
      "active_count": 0,
      "external_host_notified": true,
      "in_review_count": 0,
      "pending_count": 0
    },
    "status": "accepted",
    "type": "PHISH",
    "justification": "justification",
    "original_work": "original_work",
    "submitter": {
      "company": "company",
      "email": "email",
      "name": "name",
      "telephone": "telephone"
    },
    "urls": [
      "string"
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "id": "id",
    "cdate": "2009-11-10T23:00:00Z",
    "domain": "domain",
    "mitigation_summary": {
      "accepted_url_count": 0,
      "active_count": 0,
      "external_host_notified": true,
      "in_review_count": 0,
      "pending_count": 0
    },
    "status": "accepted",
    "type": "PHISH",
    "justification": "justification",
    "original_work": "original_work",
    "submitter": {
      "company": "company",
      "email": "email",
      "name": "name",
      "telephone": "telephone"
    },
    "urls": [
      "string"
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ]
}